Get a delegation credential of your organization
curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}import requests
url = "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "clsx1234567890",
"enabled": true,
"domain": "example.com",
"organizationId": 123,
"workspacePlatform": {
"name": "Google",
"slug": "google"
},
"createdAt": "2024-04-01T00:00:00.000Z",
"updatedAt": "2024-04-01T00:00:00.000Z",
"serviceAccountClientId": "1234567890"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890",
"error": {
"code": "UnauthorizedException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890",
"error": {
"code": "ForbiddenException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890",
"error": {
"code": "NotFoundException",
"message": "<string>"
}
}Delegation Credentials
Get a delegation credential of your organization
Required membership role: org admin. PBAC permission: organization.readDelegationCredentials. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
GET
/
v2
/
organizations
/
{orgId}
/
delegation-credentials
/
{credentialId}
Get a delegation credential of your organization
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
The unique identifier of the organization the delegation credential belongs to
Example:
123
The unique identifier of the delegation credential
Example:
"clsx1234567890"
Response
The status of the request, either success or error
Available options:
success, error Example:
"success"
The delegation credential matching the requested id
- Google Service Account
- Microsoft Service Account
- Delegation Credential
Show child attributes
Show child attributes
Was this page helpful?